Create and connect an ONTAP Mediator
Creates and connects an ONTAP Mediator to facilitate communication and coordination between systems. This setup is typically used to ensure efficient data management and high availability in your environment.
HTTP method and endpoint
POST /cluster/mediators
Introduced in
ONTAP 9.8
Usage notes
Creates and connect a mediator.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
ca_certificate |
string |
CA certificate for ONTAP Mediator. This is optional if the certificate is already installed.
|
dr_group |
DR group reference. |
|
ip_address |
string |
The IP address of the mediator. |
password |
string |
The password used to connect to the REST server on the mediator. |
peer_cluster |
The peer cluster that the mediator service is used for. |
|
peer_mediator_connectivity |
string |
Indicates the mediator connectivity status of the peer cluster. Possible values are connected, unreachable, unknown. |
port |
integer |
The REST server's port number on the mediator. |
reachable |
boolean |
Indicates the connectivity status of the mediator. |
user |
string |
The username used to connect to the REST server on the mediator. |
uuid |
string |
The unique identifier for the mediator service. |
Example request
{
"ca_certificate": "string",
"dr_group": {
"id": 0
},
"ip_address": "10.10.10.7",
"password": "mypassword",
"peer_cluster": {
"name": "cluster2",
"uuid": "ebe27c49-1adf-4496-8335-ab862aebebf2"
},
"peer_mediator_connectivity": "connected",
"port": 31784,
"reachable": 1,
"user": "myusername",
"uuid": "string"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Error
Status: Default
ONTAP Error Response codes
| Error code | Description |
|---|---|
13369351 |
Update to mediator failed. Reason: does not authorized for that command. Check that the peer cluster and mediator are reachable. |
Definitions
See Definitions
dr_group
DR group reference.
| Name | Type | Description |
|---|---|---|
id |
integer |
DR Group ID |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
peer_cluster
The peer cluster that the mediator service is used for.
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
mediator
Mediator information
| Name | Type | Description |
|---|---|---|
ca_certificate |
string |
CA certificate for ONTAP Mediator. This is optional if the certificate is already installed.
|
dr_group |
DR group reference. |
|
ip_address |
string |
The IP address of the mediator. |
password |
string |
The password used to connect to the REST server on the mediator. |
peer_cluster |
The peer cluster that the mediator service is used for. |
|
peer_mediator_connectivity |
string |
Indicates the mediator connectivity status of the peer cluster. Possible values are connected, unreachable, unknown. |
port |
integer |
The REST server's port number on the mediator. |
reachable |
boolean |
Indicates the connectivity status of the mediator. |
user |
string |
The username used to connect to the REST server on the mediator. |
uuid |
string |
The unique identifier for the mediator service. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |